Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.charcode
Class UnknownCharacterSet

    java.lang.Object
      net.sf.saxon.charcode.UnknownCharacterSet

All Implemented Interfaces:
  CharacterSet

    public class UnknownCharacterSet

extends Object
implements CharacterSet

This class establishes properties of a character set that is known to the Java VM but not specifically known to Saxon

Field Summary
`static HashMap` | `map`

Method Summary
`boolean` | `inCharset(int c)` Determine if a character is present in the character set
`static UnknownCharacterSet` | `makeCharSet(Charset charset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static HashMap map

Method Detail

### makeCharSet

    public static UnknownCharacterSet makeCharSet(Charset charset)

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.